* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html, body {
  width: 100vw;
  height: 100vh;
  overflow: hidden;
  background: #ebdc0b;
}

/* First Animation Styles */
.first-animation {
  width: 100%;
  height: 100vh;
  position: fixed;
  top: 0;
  left: 0;
  z-index: 2;
  background: #0a0a0a;
}

.pre-loader {
  position: fixed;
  width: 100%;
  height: 100%;
  background: #0a0a0a;
  color: #e5e3dc;
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 3;
}

.pre-loader-container {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.pre-loader-container .header {
  position: relative;
  width: max-content;
  margin: 0 auto;
}

.concat {
  display: flex;
}

.header h1 {
  position: relative;
  top: 125px;
  text-transform: uppercase;
  text-align: center;
  font-family: "Roslindale Display Condensed";
  font-weight: 500;
  font-size: 7vw;
  line-height: 90%;
  color: #0a0a0a;
  -webkit-text-stroke: 1px rgba(255, 255, 255, 0.6);
}

.header h1::before {
  content: attr(data-text);
  position: absolute;
  color: #e5e3dc;
  overflow: hidden;
  width: 0%;
  transition: 1s;
  animation: fill 2s cubic-bezier(0.6, 0, 0.4, 1) forwards;
  animation-delay: 2s;
}

@keyframes fill {
  0% {
    width: 0%;
  }
  100% {
    width: 100%;
  }
}

.header-wrapper:after {
  content: "";
  position: absolute;
  top: 120px;
  left: -20px;
  width: 110%;
  height: 120px;
  background: #0a0a0a;
  margin: 0 auto;
}

/* Second Animation Styles */
.second-animation {
  background: #ebdc0b;
  width: 100%;
  height: 100vh;
  position: fixed;
  top: 0;
  left: 0;
  z-index: 1;
}

.hero {
  width: 100vw;
  height: 100vh;
  padding: 3em;
}

.hero-imgs {
  position: relative;
  width: 100%;
  height: 100%;
  overflow: hidden;
  z-index: 0;
}

.hero-imgs img {
  position: absolute;
  width: 100%;
  height: 100%;
  object-fit: cover;
  clip-path: polygon(100% 0%, 100% 0%, 100% 100%, 100% 100%);
}

.website-content-second {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 1;
}

nav {
  position: fixed;
  top: 0;
  width: 100%;
  display: flex;
  padding: 2em;
}

nav > div {
  flex: 1;
  font-family: "Timmons NY";
  font-size: 36px;
  font-weight: lighter;
  color: #ebdc0b;
  text-transform: uppercase;
}

.site-info {
  text-align: center;
}

.menu {
  text-align: right;
}

.second-animation .header {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.second-animation h1 {
  text-transform: uppercase;
  font-family: "PP Neue World";
  font-size: 20vw;
  font-weight: 200;
  color: #ebdc0b;
  clip-path: polygon(0 0, 100% 0, 100% 100%, 0 100%);
}

.second-animation h1 span {
  position: relative;
  top: 400px;
}

@media (max-width: 900px) {
  nav > div {
    font-size: 24px;
  }
}